# $Revision: 1.5 $, $Date: 2009/08/01 17:30:12 $
%bcond_with	tests	# enble tests
#
%define		pname	bsddb3
Summary:	Python interface for BerkeleyDB
Summary(pl.UTF-8):	Interfejs Pythona do BerkeleyDB
Name:		python3-bsddb3
Version:	4.7.6
Release:	2
License:	BSD-like w/o adv. clause
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/b/bsddb3/bsddb3-%{version}.tar.gz
# Source0-md5:	53c06e0247b2aa4d8523d52e53378cb5
URL:		http://www.argo.es/~jcea/programacion/pybsddb.htm
BuildRequires:	db-devel >= 4.1.25
BuildRequires:  python3
BuildRequires:	python3-modules
BuildRequires:	python3-devel
BuildRequires:	rpm-build-macros >= 1.523
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a nearly complete wrapping of the Oracle C API
for the Database Environment, Database, Cursor, and Transaction
objects, and each of these is exposed as a Python Type in the
bsddb3.db module. The databse objects can use various access methods:
btree, hash, recno, and queue. For the first time all of these are
fully supported in the Python wrappers. Please see the documents in
the docs directory of the source distribution or at the website for
more details on the types and methods provided.

%description -l pl.UTF-8
Ten moduł dostarcza prawie całkowite opakowanie API C Oracle do
obiektów środowiska baz danych, baz danych, kursorów i transakcji, z
których każdy jest udostępniony jako pythonowy typ w module bsddb3.db.
Obiekty bazy danych mogą używać różnych metod dostępu: btree, hash,
recno i queue. Jest to pierwsza implementacja obsługi tych obiektów
dla Pythona. Więcej szczegółów o typach i metodach znajduje się w
załączonej dokumentacji lub na stronie WWW.

%prep
%setup -q -n %{pname}-%{version}

%build
env CFLAGS="%{rpmcflags}" python3 setup.py \
	--berkeley-db-libdir=%{_libdir} \
	--berkeley-db=%{_prefix} \
	build

%if %{with tests}
python3 test.py
%endif

%install
rm -rf $RPM_BUILD_ROOT
python3 -- setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

# shutup check-files
rm -rf $RPM_BUILD_ROOT/%{py3_sitedir}/bsddb3/tests
%py3_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt docs
%dir %{py3_sitedir}/bsddb3
%{py3_sitedir}/*.egg-info
%{py3_sitedir}/bsddb3/*.py[co]
%attr(755,root,root) %{py3_sitedir}/bsddb3/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python3-bsddb3.spec,v $
Revision 1.5  2009/08/01 17:30:12  wiget
- allow running tests after build
- remove tests from binary package
- release 2

Revision 1.4  2009/05/02 15:30:57  wiget
- updated to 4.7.6

Revision 1.3  2009/03/15 17:59:10  wiget
- BR: python3-modules
- use python3 not python3.0

Revision 1.2  2009/03/15 16:12:07  wiget
BR: python3

Revision 1.1  2009/02/25 22:39:41  wiget
- first python3 package

